//Paths
path "BMAPs";
path "Models";
path "Effect Files";
path "Scripts";

//includes
include <shader.wdl>;
 
//bitmaps

 
//variables
var video_mode = 6;
var video_screen = 2;

//Entities with a texture with an alphachannel
function mtl_vegetation_init
{
	vec_set(mtl.emissive_green,mat_model.emissive_green);
	vec_set(mtl.ambient_green,mat_model.ambient_green);
	vec_set(mtl.diffuse_green,mat_model.diffuse_green);
	vec_set(mtl.specular_green,mat_model.specular_green);
	mtl.skill1=pixel_for_vec(vector(128,0,0),0,8888); // the first value in the vector is the threshold
}

material mtl_vegetation
{
	event=mtl_vegetation_init;
	effect=
	"
	texture entSkin1;
	dword mtlSkill1;

	technique vegetation
	{
		pass p0
		{
			Texture[0]=<entSkin1>;
			ZWriteEnable=True;
			AlphaBlendEnable=False;
			AlphaTestEnable=True;
			AlphaRef=<mtlSkill1>;
			AlphaFunc=Greater;
			CullMode=CCW; // CCW or None

			ColorArg1[0]=Texture;
			ColorOp[0]=Modulate2X;
			ColorArg2[0]=Diffuse;
		}
	}
	technique fallback{pass p0{}}
	";
}

Action Zaun
{
	my.material=mtl_vegetation;
}

Action Trace
{
	my.material=mtl_vegetation;

	my.passable=on;
	my.pan=random(360); 
	temp.x=0;
	temp.y=0;
	temp.z=my.z-40000;
	my.z -= c_trace(my.x,temp.x,ignore_passents|ignore_passable|ignore_sprites|ignore_me|use_box)+16;
}

action terrain
{
	my.polygon = on;
	my.fat = off;
	my.narrow = off;
	c_setminmax(my);
}

 
//define skybox
sky skycube1
{
	type = <sky_blue+6.tga>;
	flags = cube,visible;
}
 
//initialising level
function main()
{
	level_load("scene_level.wmb");
	wait(3);
	
	fog_color = 1;
	camera.fog_start = 250;
	camera.fog_end = 30000;
}